.accordion .container {
  display: flex;
  gap: 40px 60px;
}

.accordion_block {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.accordion_items {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.accordion_item {
  padding: 20px 0 20px 29px;
  border-bottom: 1px solid var(--Grey);
  counter-increment: count;
  position: relative;
}

.accordion_item::before {
  content: counter(count) ".";
  position: absolute;
  top: 20px;
  left: 0;
  color: var(--Dark-blue);
  font-family: "Onest", sans-serif;
  font-size: 20px;
  font-weight: 500;
  text-transform: uppercase;
}

.accordion_item_title {
  color: var(--Dark-blue);
  display: block;
  font-size: 20px;
  font-weight: 500;
  position: relative;
  padding-right: 30px;
}

.accordion_item_title::before {
  pointer-events: none;
  content: "";
  height: 2px;
  width: 14px;
  position: absolute;
  background-color: var(--Dark-blue);
  right: 4px;
  top: 50%;
  transform: translateY(-50%);
}

.accordion_item_title::after {
  pointer-events: none;
  content: "";
  height: 14px;
  width: 2px;
  position: absolute;
  background-color: var(--Dark-blue);
  right: 10px;
  top: 50%;
  transform: translateY(-50%) scaleY(0);
  transition: transform 0.4s ease;
}

.accordion_item:not(.active) .accordion_item_title::after {
  transform: translateY(-50%);
}

.accordion_item_desc {
  display: grid;
  padding-right: 43px;
  grid-template-rows: 0fr;
  transition: grid-template-rows 0.4s ease, margin-top 0.4s ease;
}

.accordion_item_desc > div {
  overflow: hidden;
}

.accordion_item.active .accordion_item_desc {
  grid-template-rows: 1fr;
  margin-top: 10px;
}

.accordion_wrap {
  width: 100%;
  aspect-ratio: var(--img-aspect-ratio, auto);
  max-width: var(--img-max-width, 100%);
  max-height: var(--img-max-height, none);
}

@media (max-width: 1200px) {
  .accordion .container {
    gap: 40px 20px;
  }
}

@media (max-width: 992px) {
  .accordion_block {
    gap: 24px;
  }

  .accordion_item_desc {
    padding-right: 36px;
  }

  .accordion_items {
    gap: 16px;
  }

  .accordion_item {
    padding: 20px 0 20px 23px;
  }
}

@media (max-width: 768px) {
  .accordion_wrap {
    display: none;
  }
}
